BEGIN ~JETLAJ~

IF ~~ THEN BEGIN 0
  SAY @0
  IF ~~ THEN DO ~~ EXTERN ~BANSHEE~ 1
END

IF ~~ THEN BEGIN 1
  SAY @1
  IF ~~ THEN DO ~~ EXTERN ~BANSHEE~ 2
END

IF ~~ THEN BEGIN 2
  SAY @2
  IF ~~ THEN REPLY @3 DO ~LeaveParty()
EscapeArea()
~ EXTERN ~BANSHEE~ 4
  IF ~~ THEN REPLY @4 DO ~~ EXTERN ~BANSHEE~ 4
END

IF ~~ THEN BEGIN 3
  SAY @5
  IF ~~ THEN REPLY @4 DO ~~ EXTERN ~BANSHEE~ 4
END

IF ~~ THEN BEGIN 4
  SAY @6
  IF ~~ THEN DO ~SetGlobal("JetlaReward","GLOBAL",1)
~ EXIT
END

IF WEIGHT #1 ~!Dead("Banshee")
GlobalTimerExpired("Jetla","GLOBAL")
Global("JetlaSister","GLOBAL",1)
~ THEN BEGIN 5
  SAY @7
  IF ~~ THEN DO ~SetGlobal("JetlaSister","GLOBAL",2)
LeaveParty()
EscapeArea()
~ EXIT
END

IF WEIGHT #2 ~!Dead("Banshee")
GlobalTimerExpired("Jetla","GLOBAL")
Global("JetlaSister","GLOBAL",0)
~ THEN BEGIN 6
  SAY @8
  IF ~~ THEN DO ~SetGlobalTimer("Jetla","GLOBAL",TEN_DAYS)
SetGlobal("JetlaSister","GLOBAL",1)
LeaveParty()
~ EXIT
END

IF WEIGHT #4
~False()
~ THEN BEGIN 7
  SAY @9
  IF ~~ THEN DO ~LeaveParty()
SetDialog("JetlaP")
~ EXIT
END

IF WEIGHT #3 ~HappinessLT(Myself,0)
~ THEN BEGIN 8
  SAY @10
  IF ~~ THEN DO ~LeaveParty()
EscapeArea()
~ EXIT
END
